diff --git a/GeneratorInterface/Pythia8Interface/plugins/Pythia8Hadronizer.cc b/GeneratorInterface/Pythia8Interface/plugins/Pythia8Hadronizer.cc
index da0ca9b6947..8dc97b5f5bf 100644
--- a/GeneratorInterface/Pythia8Interface/plugins/Pythia8Hadronizer.cc
+++ b/GeneratorInterface/Pythia8Interface/plugins/Pythia8Hadronizer.cc
@@ -273,8 +273,8 @@ Pythia8Hadronizer::Pythia8Hadronizer(const edm::ParameterSet &params)
   if (params.exists("reweightGen")) {
     edm::LogInfo("Pythia8Interface") << "Start setup for reweightGen";
     edm::ParameterSet rgParams = params.getParameter<edm::ParameterSet>("reweightGen");
-    fReweightUserHook.reset(
-        new PtHatReweightUserHook(rgParams.getParameter<double>("pTRef"), rgParams.getParameter<double>("power")));
+    fReweightUserHook = std::make_shared<PtHatReweightUserHook>(
+        rgParams.getParameter<double>("pTRef"), rgParams.getParameter<double>("power"));
     edm::LogInfo("Pythia8Interface") << "End setup for reweightGen";
   }
   if (params.exists("reweightGenEmp")) {
@@ -284,29 +284,29 @@ Pythia8Hadronizer::Pythia8Hadronizer(const edm::ParameterSet &params)
     std::string tuneName = "";
     if (rgeParams.exists("tune"))
       tuneName = rgeParams.getParameter<std::string>("tune");
-    fReweightEmpUserHook.reset(new PtHatEmpReweightUserHook(tuneName));
+    fReweightEmpUserHook = std::make_shared<PtHatEmpReweightUserHook>(tuneName);
     edm::LogInfo("Pythia8Interface") << "End setup for reweightGenEmp";
   }
   if (params.exists("reweightGenRap")) {
     edm::LogInfo("Pythia8Interface") << "Start setup for reweightGenRap";
     edm::ParameterSet rgrParams = params.getParameter<edm::ParameterSet>("reweightGenRap");
-    fReweightRapUserHook.reset(new RapReweightUserHook(rgrParams.getParameter<std::string>("yLabSigmaFunc"),
+    fReweightRapUserHook = std::make_shared<RapReweightUserHook>(rgrParams.getParameter<std::string>("yLabSigmaFunc"),
                                                        rgrParams.getParameter<double>("yLabPower"),
                                                        rgrParams.getParameter<std::string>("yCMSigmaFunc"),
                                                        rgrParams.getParameter<double>("yCMPower"),
                                                        rgrParams.getParameter<double>("pTHatMin"),
-                                                       rgrParams.getParameter<double>("pTHatMax")));
+                                                       rgrParams.getParameter<double>("pTHatMax"));
     edm::LogInfo("Pythia8Interface") << "End setup for reweightGenRap";
   }
   if (params.exists("reweightGenPtHatRap")) {
     edm::LogInfo("Pythia8Interface") << "Start setup for reweightGenPtHatRap";
     edm::ParameterSet rgrParams = params.getParameter<edm::ParameterSet>("reweightGenPtHatRap");
-    fReweightPtHatRapUserHook.reset(new PtHatRapReweightUserHook(rgrParams.getParameter<std::string>("yLabSigmaFunc"),
+    fReweightPtHatRapUserHook = std::make_shared<PtHatRapReweightUserHook>(rgrParams.getParameter<std::string>("yLabSigmaFunc"),
                                                                  rgrParams.getParameter<double>("yLabPower"),
                                                                  rgrParams.getParameter<std::string>("yCMSigmaFunc"),
                                                                  rgrParams.getParameter<double>("yCMPower"),
                                                                  rgrParams.getParameter<double>("pTHatMin"),
-                                                                 rgrParams.getParameter<double>("pTHatMax")));
+                                                                 rgrParams.getParameter<double>("pTHatMax"));
     edm::LogInfo("Pythia8Interface") << "End setup for reweightGenPtHatRap";
   }
 
@@ -320,7 +320,7 @@ Pythia8Hadronizer::Pythia8Hadronizer(const edm::ParameterSet &params)
     edm::ParameterSet jmParams = params.getUntrackedParameter<edm::ParameterSet>("jetMatching");
     std::string scheme = jmParams.getParameter<std::string>("scheme");
     if (scheme == "Madgraph" || scheme == "MadgraphFastJet") {
-      fJetMatchingHook.reset(new JetMatchingHook(jmParams, &fMasterGen->info));
+      fJetMatchingHook = std::make_shared<JetMatchingHook>(jmParams, &fMasterGen->info);
     }
   }
 
@@ -359,7 +359,7 @@ Pythia8Hadronizer::Pythia8Hadronizer(const edm::ParameterSet &params)
     EV1_nFinalMode = 0;
     if (params.exists("EV1_nFinalMode"))
       EV1_nFinalMode = params.getParameter<int>("EV1_nFinalMode");
-    fEmissionVetoHook1.reset(new EmissionVetoHook1(EV1_nFinal,
+    fEmissionVetoHook1 = std::make_shared<EmissionVetoHook1>(EV1_nFinal,
                                                    EV1_vetoOn,
                                                    EV1_maxVetoCount,
                                                    EV1_pThardMode,
@@ -369,7 +369,7 @@ Pythia8Hadronizer::Pythia8Hadronizer(const edm::ParameterSet &params)
                                                    EV1_MPIvetoOn,
                                                    EV1_QEDvetoMode,
                                                    EV1_nFinalMode,
-                                                   0));
+                                                   0);
   }
 
   if (params.exists("UserCustomization")) {
@@ -435,7 +435,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
   }
 
   if (!fUserHooksVector.get())
-    fUserHooksVector.reset(new UserHooksVector);
+    fUserHooksVector = std::make_shared<UserHooksVector>();
   (fUserHooksVector->hooks).clear();
 
   if (fReweightUserHook.get())
@@ -460,7 +460,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
              "are : jetMatching, emissionVeto1 \n";
 
     if (!fEmissionVetoHook.get())
-      fEmissionVetoHook.reset(new PowhegHooks());
+      fEmissionVetoHook = std::make_shared<PowhegHooks>();
 
     edm::LogInfo("Pythia8Interface") << "Turning on Emission Veto Hook from pythia8 code";
     (fUserHooksVector->hooks).push_back(fEmissionVetoHook);
@@ -470,7 +470,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
   if (PowhegRes) {
     edm::LogInfo("Pythia8Interface") << "Turning on resonance scale setting from CMSSW Pythia8Interface";
     if (!fPowhegResHook.get())
-      fPowhegResHook.reset(new PowhegResHook());
+      fPowhegResHook = std::make_shared<PowhegResHook>();
     (fUserHooksVector->hooks).push_back(fPowhegResHook);
   }
 
@@ -478,7 +478,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
   if (PowhegBB4L) {
     edm::LogInfo("Pythia8Interface") << "Turning on BB4l hook from CMSSW Pythia8Interface";
     if (!fPowhegHooksBB4L.get())
-      fPowhegHooksBB4L.reset(new PowhegHooksBB4L());
+      fPowhegHooksBB4L = std::make_shared<PowhegHooksBB4L>();
     (fUserHooksVector->hooks).push_back(fPowhegHooksBB4L);
   }
 
@@ -486,7 +486,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
   if (TopRecoilHook1) {
     edm::LogInfo("Pythia8Interface") << "Turning on RecoilToTop hook from Pythia8Interface";
     if (!fTopRecoilHook.get())
-      fTopRecoilHook.reset(new TopRecoilHook());
+      fTopRecoilHook = std::make_shared<TopRecoilHook>();
     (fUserHooksVector->hooks).push_back(fTopRecoilHook);
   }
 
@@ -501,7 +501,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
 
   if (internalMatching) {
     if (!fJetMatchingPy8InternalHook.get())
-      fJetMatchingPy8InternalHook.reset(new Pythia8::JetMatchingMadgraph);
+      fJetMatchingPy8InternalHook = std::make_shared<Pythia8::JetMatchingMadgraph>();
     (fUserHooksVector->hooks).push_back(fJetMatchingPy8InternalHook);
   }
 
@@ -515,7 +515,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
                             ? 2
                             : 0);
     if (!fMergingHook.get())
-      fMergingHook.reset(new Pythia8::amcnlo_unitarised_interface(scheme));
+      fMergingHook = std::make_shared<Pythia8::amcnlo_unitarised_interface>(scheme);
     (fUserHooksVector->hooks).push_back(fMergingHook);
   }
 
@@ -523,7 +523,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
   if (biasedTauDecayer) {
     if (!fBiasedTauDecayer.get()) {
       Pythia8::Info localInfo = fMasterGen->info;
-      fBiasedTauDecayer.reset(new BiasedTauDecayer(&localInfo, &(fMasterGen->settings)));
+      fBiasedTauDecayer = std::make_shared<BiasedTauDecayer>(&localInfo, &(fMasterGen->settings));
     }
     std::vector<int> handledParticles;
     handledParticles.push_back(15);
@@ -532,13 +532,13 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
 
   bool resonanceDecayFilter = fMasterGen->settings.flag("ResonanceDecayFilter:filter");
   if (resonanceDecayFilter) {
-    fResonanceDecayFilterHook.reset(new ResonanceDecayFilterHook);
+    fResonanceDecayFilterHook = std::make_shared<ResonanceDecayFilterHook>();
     (fUserHooksVector->hooks).push_back(fResonanceDecayFilterHook);
   }
 
   bool PTFilter = fMasterGen->settings.flag("PTFilter:filter");
   if (PTFilter) {
-    fPTFilterHook.reset(new PTFilterHook);
+    fPTFilterHook = std::make_shared<PTFilterHook>();
     (fUserHooksVector->hooks).push_back(fPTFilterHook);
   }
 
@@ -580,7 +580,7 @@ bool Pythia8Hadronizer::initializeForInternalPartons() {
   if (useEvtGen) {
     edm::LogInfo("Pythia8Hadronizer") << "Creating and initializing pythia8 EvtGen plugin";
     if (!evtgenDecays.get()) {
-      evtgenDecays.reset(new EvtGenDecays(fMasterGen.get(), evtgenDecFile, evtgenPdlFile));
+      evtgenDecays = std::make_shared<EvtGenDecays>(fMasterGen.get(), evtgenDecFile, evtgenPdlFile);
       for (unsigned int i = 0; i < evtgenUserFiles.size(); i++)
         evtgenDecays->readDecayFile(evtgenUserFiles.at(i));
     }
@@ -595,7 +595,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
   bool status = false, status1 = false;
 
   if (!fUserHooksVector.get())
-    fUserHooksVector.reset(new UserHooksVector);
+    fUserHooksVector = std::make_shared<UserHooksVector>();
   (fUserHooksVector->hooks).clear();
 
   if (fReweightUserHook.get())
@@ -627,7 +627,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
              "are : jetMatching, emissionVeto1 \n";
 
     if (!fEmissionVetoHook.get())
-      fEmissionVetoHook.reset(new PowhegHooks());
+      fEmissionVetoHook = std::make_shared<PowhegHooks>();
 
     edm::LogInfo("Pythia8Interface") << "Turning on Emission Veto Hook from pythia8 code";
     (fUserHooksVector->hooks).push_back(fEmissionVetoHook);
@@ -637,7 +637,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
   if (PowhegRes) {
     edm::LogInfo("Pythia8Interface") << "Turning on resonance scale setting from CMSSW Pythia8Interface";
     if (!fPowhegResHook.get())
-      fPowhegResHook.reset(new PowhegResHook());
+      fPowhegResHook = std::make_shared<PowhegResHook>();
     (fUserHooksVector->hooks).push_back(fPowhegResHook);
   }
 
@@ -645,7 +645,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
   if (PowhegBB4L) {
     edm::LogInfo("Pythia8Interface") << "Turning on BB4l hook from CMSSW Pythia8Interface";
     if (!fPowhegHooksBB4L.get())
-      fPowhegHooksBB4L.reset(new PowhegHooksBB4L());
+      fPowhegHooksBB4L = std::make_shared<PowhegHooksBB4L>();
     (fUserHooksVector->hooks).push_back(fPowhegHooksBB4L);
   }
 
@@ -653,7 +653,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
   if (TopRecoilHook1) {
     edm::LogInfo("Pythia8Interface") << "Turning on RecoilToTop hook from Pythia8Interface";
     if (!fTopRecoilHook.get())
-      fTopRecoilHook.reset(new TopRecoilHook());
+      fTopRecoilHook = std::make_shared<TopRecoilHook>();
     (fUserHooksVector->hooks).push_back(fTopRecoilHook);
   }
 
@@ -668,7 +668,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
 
   if (internalMatching) {
     if (!fJetMatchingPy8InternalHook.get())
-      fJetMatchingPy8InternalHook.reset(new Pythia8::JetMatchingMadgraph);
+      fJetMatchingPy8InternalHook = std::make_shared<Pythia8::JetMatchingMadgraph>();
     (fUserHooksVector->hooks).push_back(fJetMatchingPy8InternalHook);
   }
 
@@ -682,7 +682,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
                             ? 2
                             : 0);
     if (!fMergingHook.get())
-      fMergingHook.reset(new Pythia8::amcnlo_unitarised_interface(scheme));
+      fMergingHook = std::make_shared<Pythia8::amcnlo_unitarised_interface>(scheme);
     (fUserHooksVector->hooks).push_back(fMergingHook);
   }
 
@@ -690,7 +690,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
   if (biasedTauDecayer) {
     if (!fBiasedTauDecayer.get()) {
       Pythia8::Info localInfo = fMasterGen->info;
-      fBiasedTauDecayer.reset(new BiasedTauDecayer(&localInfo, &(fMasterGen->settings)));
+      fBiasedTauDecayer = std::make_shared<BiasedTauDecayer>(&localInfo, &(fMasterGen->settings));
     }
     std::vector<int> handledParticles;
     handledParticles.push_back(15);
@@ -699,13 +699,13 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
 
   bool resonanceDecayFilter = fMasterGen->settings.flag("ResonanceDecayFilter:filter");
   if (resonanceDecayFilter) {
-    fResonanceDecayFilterHook.reset(new ResonanceDecayFilterHook);
+    fResonanceDecayFilterHook = std::make_shared<ResonanceDecayFilterHook>();
     (fUserHooksVector->hooks).push_back(fResonanceDecayFilterHook);
   }
 
   bool PTFilter = fMasterGen->settings.flag("PTFilter:filter");
   if (PTFilter) {
-    fPTFilterHook.reset(new PTFilterHook);
+    fPTFilterHook = std::make_shared<PTFilterHook>();
     (fUserHooksVector->hooks).push_back(fPTFilterHook);
   }
 
@@ -724,7 +724,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
     status = fMasterGen->init();
 
   } else {
-    lhaUP.reset(new LHAupLesHouches());
+    lhaUP = std::make_shared<LHAupLesHouches>();
     lhaUP->setScalesFromLHEF(fMasterGen->settings.flag("Beams:setProductionScalesFromLHEF"));
     lhaUP->loadRunInfo(lheRunInfo());
 
@@ -759,7 +759,7 @@ bool Pythia8Hadronizer::initializeForExternalPartons() {
   if (useEvtGen) {
     edm::LogInfo("Pythia8Hadronizer") << "Creating and initializing pythia8 EvtGen plugin";
     if (!evtgenDecays.get()) {
-      evtgenDecays.reset(new EvtGenDecays(fMasterGen.get(), evtgenDecFile, evtgenPdlFile));
+      evtgenDecays = std::make_shared<EvtGenDecays>(fMasterGen.get(), evtgenDecFile, evtgenPdlFile);
       for (unsigned int i = 0; i < evtgenUserFiles.size(); i++)
         evtgenDecays->readDecayFile(evtgenUserFiles.at(i));
     }
